POST Agents/EMail/CreateForwardEmail
Some tooltip text!
• 6 minutes to read
• 6 minutes to read
POST /api/v1/Agents/EMail/CreateForwardEmail
Create forward email
NsApiSlow threshold: 5000 ms.
Online Restricted: ## The EMail agent is not available in Online by default. Access must be requested specifically when app is registered.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/EMail/CreateForwardEmail?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
| Property Name | Type | Description |
|---|---|---|
| EMailEntity | All information about an e-mail |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: EMailEntity
| Property Name | Type | Description |
|---|---|---|
| To | array | To recipients of e-mail |
| Cc | array | Cc recipients of e-mail |
| Bcc | array | Bcc recipient of e-mail |
| Subject | string | Subject of the e-mail |
| HTMLBody | string | Body formatted in HTML |
| From | EMailAddress | Who did the e-mail originate from |
| Sent | date-time | When was the e-mail sent |
| Size | int32 | Total size of the e-mail |
| Priority | string | Importance of the e-mail |
| Flags | string | Flag status of this mail (unread, replied, deleted ) |
| MessageID | string | Unique id of e-mails |
| PlainBody | string | Body formatted in plain text |
| IsSent | bool | Is this a sent e-mail (not new) |
| EMailSOInfo | EMailSOInfo | Glue between SuperOffice data and an e-mail. |
| ServerId | int32 | Unique id for the e-mail on the server |
| Attachments | array | |
| CustomHeaderList | array | Non standard e-mail headers |
| FolderName | string | Name of folder the e-mail belongs in |
| EmailItemId | int32 | Primary key |
| AccountId | int32 | Account Id |
| ReceivedAt | date-time | Received date time |
| InReplyTo | EMailEnvelope | The envelope of the email this email is a reply to, if it exists |
| RepliedAt | date-time | When this email was replied at |
| HasCalendarData | bool | If this email contains exactly one iCal appointment |
| CalMethod | string | Method stored in the associated iCal appointment. Indicates if the iCal data is a reply, counter proposal etc. |
| CalReplyStatus | string | Reply status stored in calendar data for the ical method is REPLY |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/EMail/CreateForwardEmail
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Content-Type: application/json; charset=utf-8
{
"Email": null
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"To": [
{
"ContactId": 259,
"ContactName": "Nordic Solutions AS",
"PersonId": 662,
"PersonName": "Anna Berg",
"AssociateId": 186,
"Address": "anna.berg@nordicsolutions.no",
"EmailId": 326,
"DuplicatePersonIds": [
124,
402
],
"Name": "Anna Berg",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 973
}
}
}
],
"Cc": [
{
"ContactId": 587,
"ContactName": "Acme Corporation",
"PersonId": 208,
"PersonName": "Robert Hansen",
"AssociateId": 651,
"Address": "robert.hansen@acmecorp.com",
"EmailId": 308,
"DuplicatePersonIds": [
587,
996
],
"Name": "Robert Hansen",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 76
}
}
}
],
"Bcc": [
{
"ContactId": 705,
"ContactName": "TechCorp Solutions",
"PersonId": 99,
"PersonName": "Emily Wilson",
"AssociateId": 48,
"Address": "emily.wilson@techcorp.com",
"EmailId": 901,
"DuplicatePersonIds": [
642,
197
],
"Name": "Emily Wilson",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 637
}
}
}
],
"Subject": "FW: Client Meeting Notes - Q1 Review",
"HTMLBody": "<p>Hi Anna,</p><p>Forwarding the meeting notes from our Q1 client review. Please review before our sync tomorrow.</p><p>Thanks,<br>John</p>",
"From": null,
"Sent": "2021-07-01T10:10:59.8874584+02:00",
"Size": 684,
"Priority": "High",
"Flags": "Answered",
"MessageID": "<20210701101059.01234@acmecorp.com>",
"PlainBody": "Hi Anna,\n\nForwarding the meeting notes from our Q1 client review. Please review before our sync tomorrow.\n\nThanks,\nJohn",
"IsSent": true,
"EMailSOInfo": null,
"ServerId": 56,
"Attachments": [
{
"Description": "Q1 Client Meeting Notes",
"Filename": "Q1_Client_Meeting_Notes.docx",
"Size": 819,
"Type": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"Encoding": "base64",
"Id": "att_20210701_009",
"Disposition": "attachment",
"IsSafeFileExtension": false,
"Stream": "GIF89....File contents as raw bytes...",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 736
}
}
}
],
"CustomHeaderList": [
{
"Name": "X-Forwarded-Message",
"Values": [
"true",
"Q1-Review"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 352
}
}
},
{
"Name": "X-Meeting-Reference",
"Values": [
"Q1-2024",
"Client-Review"
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 352
}
}
}
],
"FolderName": "Meetings",
"EmailItemId": 245,
"AccountId": 310,
"ReceivedAt": "2013-12-20T10:10:59.8884579+01:00",
"InReplyTo": null,
"RepliedAt": "2013-02-19T10:10:59.8884579+01:00",
"HasCalendarData": false,
"CalMethod": "Add",
"CalReplyStatus": "Accepted",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 469
}
}
}